Skip to main content
GET
/
api
/
projects
/
{projectId}
/
environments
List environments
curl --request GET \
  --url https://api.example.com/api/projects/{projectId}/environments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/projects/{projectId}/environments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/projects/{projectId}/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "requiredReviewers": true,
    "addToWorkflow": true,
    "approvalGroups": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "description": "<string>",
        "roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "accessToken": "<string>",
    "key": "<string>",
    "release": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "<string>",
      "createdAt": "<string>",
      "version": 123,
      "semanticVersion": "<string>"
    },
    "releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deployment": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "provider": "<string>",
      "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "description": "<string>",
      "configuration": {},
      "deletedAt": "<string>"
    },
    "project": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "key": "<string>"
    },
    "reviewers": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "workflowOrder": 123,
    "changeRequests": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "status": "<string>",
        "createdAt": "<string>"
      }
    ],
    "deletedAt": "<string>",
    "metadata": {}
  }
]

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

ID of the project to list environments for

Response

200 - application/json

List of environments for the project

id
string<uuid>
required

Unique identifier of the environment

name
string
required

Name of the environment

type
enum<string>
required

Type of environment (brms or deployment)

Available options:
brms,
deployment
projectId
string<uuid>
required

ID of the project

requiredReviewers
boolean
required

Whether reviewers are required

addToWorkflow
boolean
required

Whether the environment is part of the deployment workflow

approvalGroups
object[]
required

Groups that can approve deployments

approvalMode
enum<string>
required

Approval mode for deployments to this environment

Available options:
require_one_per_team,
none_create_request,
require_any,
none
createdAt
string
required

Timestamp when the environment was created

updatedAt
string
required

Timestamp when the environment was last updated

accessToken
string | null

Access token for the environment

key
string | null

Unique key for BRMS type environments

release
object | null

Currently deployed release information

releaseId
string<uuid> | null

ID of the currently deployed release

deploymentId
string<uuid> | null

ID of the associated deployment

deployment
object | null

Deployment configuration for the environment

project
object | null

Project the environment belongs to

reviewers
object[]

List of members assigned as reviewers

workflowOrder
number | null

Order position in the deployment workflow

changeRequests
object[]

Pending change requests for this environment

deletedAt
string | null

Timestamp when the environment was deleted

metadata
object

Additional metadata from the deployment provider